class Printer::CashierStationPrinter < Printer::PrinterWorker

  def print_open_cashier(receipt_no)
    time = DateTime.now

    #Use CUPS service
    #Generate PDF
    #Print
    pdf = CashierStationOpening.new
    pdf.render_file "tmp/cashier_station_#{order_id}_closing_#{time}.pdf"
    self.print("tmp/cashier_station_#{order_id}_closing_#{time}.pdf")
  end

  # def print_close_cashier(receipt_no)
  #   #Use CUPS service
  #   #Generate PDF
  #   time = DateTime.now
  #   #Print
  #   pdf = CashierStationClosing.new
  #   pdf.render_file "tmp/cashier_station_#{order_id}_closing_#{time}.pdf"
  #   self.print("tmp/receipt.pdf")
  # end

  #Bill Receipt Print
  def print_close_cashier(printer_settings,shift_sale,shop_details)
    #Use CUPS service
    #Generate PDF
    #Print
    pdf = CloseCashierPdf.new(printer_settings,shift_sale,shop_details)
        pdf.render_file "tmp/print_close_cashier.pdf"
    self.print("tmp/print_close_cashier.pdf")
  end


end
